Magick++ 6.9.6

Public Member Functions | List of all members
Magick::PixelData Class Reference

`#include <Pixels.h>`

## Public Member Functions
| PixelData (Magick::Image &image_, std::string map_, const StorageType type_)
| PixelData (Magick::Image &image_, const ::ssize_t x_, const ::ssize_t y_, const size_t width_, const size_t height_, std::string map_, const StorageType type_)
| ~PixelData (void)
const void * | data (void) const
::ssize_t | length (void) const
::ssize_t | size (void) const

## Detailed Description

Definition at line 78 of file Pixels.h.

## Constructor & Destructor Documentation

Magick::PixelData::PixelData | ( | Magick::Image & | image_,
|  | std::string | map_,
|  | const StorageType | type_
| ) |  |

Definition at line 101 of file Pixels.cpp.

References Magick::Image::columns(), and Magick::Image::rows().

Magick::PixelData::PixelData | ( | Magick::Image & | image_,
|  | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const size_t | width_,
|  | const size_t | height_,
|  | std::string | map_,
|  | const StorageType | type_
| ) |  |

Definition at line 107 of file Pixels.cpp.

Magick::PixelData::~PixelData | ( | void |  | ) |

Definition at line 114 of file Pixels.cpp.

## Member Function Documentation

const void * Magick::PixelData::data | ( | void |  | ) | const

Definition at line 119 of file Pixels.cpp.

ssize_t Magick::PixelData::length | ( | void |  | ) | const

Definition at line 124 of file Pixels.cpp.

ssize_t Magick::PixelData::size | ( | void |  | ) | const

Definition at line 129 of file Pixels.cpp.

The documentation for this class was generated from the following files:

- Pixels.h
- Pixels.cpp